
<ion-header>
    <ion-toolbar>
        <ion-buttons slot="end">
            <ion-button routerLink="/add"  color="secondary" expand="block">Add Customer <ion-icon name="person-add"></ion-icon></ion-button>
          </ion-buttons>
    </ion-toolbar>
  </ion-header>

<ion-content padding>
    <h1 class="t-center mb-20">List Of Customers</h1>
    <ion-item  *ngIf="customers.length > 0" class="mb-20">
        <ion-label position="floating">list by customers</ion-label>
        <ion-select [(ngModel)]="search" name="search" type="text" value="brown" okText="Accept" cancelText="Cancel">
            <ion-select-option value="*">All</ion-select-option>
          <ion-select-option *ngFor="let ct of cities" value="{{ ct.name }}">{{ ct.name }}</ion-select-option>
        </ion-select>
    </ion-item>
    <ng-container *ngIf="customers.length > 0">
      <ng-container *ngFor="let c of customers">
        <ion-item *ngIf="search == '*' || search == c.city" (click)="viewCustomer(c)">
          <ion-avatar slot="start">
              <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
          </ion-avatar>
          <ion-label>
            <h3>{{ c.name }} {{ c.surname }}</h3>
            <p>{{ c.email }}</p>
          </ion-label>
          <ion-icon name="arrow-forward"></ion-icon>
        </ion-item>
      </ng-container>
    </ng-container>
    <ion-item *ngIf="customers.length == 0" class="mt-60">
      <ion-label class="not-customer">
          There is not customer
      </ion-label>
    </ion-item>
</ion-content>

